import '../../../../core/resources/data_state.dart';
import '../../../../core/usecase/use_case.dart';
import '../entities/profile_entity.dart';
import '../repository/profile_repository.dart';

class GetProfileUseCase implements UseCase<DataState<ProfileEntity>, NoParams> {
  final ProfileRepository repository;
  GetProfileUseCase(this.repository);

  @override
  Future<DataState<ProfileEntity>> call(NoParams params) =>
      repository.getProfile();
}
